List identity providers

GET https://api.ap1.datadoghq.com/api/v2/identity_providershttps://api.ap2.datadoghq.com/api/v2/identity_providershttps://api.datadoghq.eu/api/v2/identity_providershttps://api.ddog-gov.com/api/v2/identity_providershttps://api.us2.ddog-gov.com/api/v2/identity_providershttps://api.uk1.datadoghq.com/api/v2/identity_providershttps://api.datadoghq.com/api/v2/identity_providershttps://api.us3.datadoghq.com/api/v2/identity_providershttps://api.us5.datadoghq.com/api/v2/identity_providers

Overview

Get all identity providers available for the current organization. This endpoint requires any of the following permissions:

  • org_management
  • user_access_manage

  • OAuth apps require the org_management authorization scope to access this endpoint.

    Response

    OK

    Response containing a list of identity providers for an organization.

    Expand All

    Field

    Type

    Description

    data [required]

    [object]

    List of organization identity provider data objects.

    attributes [required]

    object

    Attributes of an organization identity provider.

    authentication_method [required]

    string

    The authentication method used by this identity provider.

    enabled [required]

    boolean

    Whether this identity provider is enabled for the organization.

    id [required]

    string

    The unique identifier of the identity provider.

    type [required]

    enum

    The resource type for identity providers. Allowed enum values: identity_providers

    {
      "data": [
        {
          "attributes": {
            "authentication_method": "SAML",
            "enabled": true
          },
          "id": "00000000-0000-0000-0000-000000000001",
          "type": "identity_providers"
        }
      ]
    }

    Authentication error

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/identity_providers" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"